Package org.silverpeas.components.scheduleevent.service.model.beans

# Class DateOption

java.lang.Object
org.silverpeas.components.scheduleevent.service.model.beans.DateOption

All Implemented Interfaces:
  `Serializable`, `Comparable<DateOption>`

@Entity public class DateOption extends Object implements Comparable<DateOption>, Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AFTERNOON_BEGIN_HOUR`
  `static final int`
  `AFTERNOON_END_HOUR`
  `static final int`
  `MORNING_BEGIN_HOUR`
  `static final int`
  `MORNING_END_HOUR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(DateOption obj)`
  `boolean`
  `equals(Object obj)`
  `Date`
  `getDay()`
  `int`
  `getHour()`
  `String`
  `getId()`
  `int`
  `hashCode()`
  `void`
  `setDay(Date day)`
  `void`
  `setHour(int hour)`
  `void`
  `setId(String id)`
  `protected void`
  `setUpId()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MORNING_BEGIN_HOUR

    public static final int MORNING_BEGIN_HOUR
    See Also:
      - Constant Field Values

  - ### MORNING_END_HOUR

    public static final int MORNING_END_HOUR
    See Also:
      - Constant Field Values

  - ### AFTERNOON_BEGIN_HOUR

    public static final int AFTERNOON_BEGIN_HOUR
    See Also:
      - Constant Field Values

  - ### AFTERNOON_END_HOUR

    public static final int AFTERNOON_END_HOUR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DateOption

    public DateOption()

- ## Method Details

  - ### setUpId

    protected void setUpId()

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getDay

    public Date getDay()

  - ### setDay

    public void setDay(Date day)

  - ### getHour

    public int getHour()

  - ### setHour

    public void setHour(int hour)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(@NonNull DateOption obj)
    Specified by:
      `compareTo` in interface `Comparable<DateOption>`